function MqttToMsSqlCommon()
{
  var GetMsSqlConnectionInformation = function(){return MqttToMsSqlCommon.prototype._GetMsSqlConnectionInformation_();};
  var GetConnectionInformation = function(){return MqttToMsSqlCommon.prototype._GetConnectionInformation_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return MqttToMsSqlCommon.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return MqttToMsSqlCommon.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function MqttToMsSqlUpdatePage()
{
	var SaveGlobalVariable = function(Row){MqttToMsSqlUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return MqttToMsSqlUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){MqttToMsSqlUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){MqttToMsSqlUpdatePage.prototype._Initialization_();};
}










function MqttToMsSqlFirstPage()
{
  this.SetConnectionName = function(that){MqttToMsSqlFirstPage.prototype._SetConnectionName_(that);};
  this.ChangeDatabaseName = function(that){MqttToMsSqlFirstPage.prototype._ChangeDatabaseName_(that);};
  var LoadDatabaseName = function(){MqttToMsSqlFirstPage.prototype._LoadDatabaseName_();};
  var ShowApplyButton = function(index, number, Combobox){MqttToMsSqlFirstPage.prototype._ShowApplyButton_(index, number, Combobox);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MqttToMsSqlFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){MqttToMsSqlFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MqttToMsSqlFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){MqttToMsSqlFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){MqttToMsSqlFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return MqttToMsSqlFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return MqttToMsSqlFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return MqttToMsSqlFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllDatabaseRecord = function(){return MqttToMsSqlFirstPage.prototype._IsAllDatabaseRecord_();};
  //初始化
  this.Initialization = function(){MqttToMsSqlFirstPage.prototype._Initialization_();};
  //儲存
  this.SaveMqttToMsSqlSetting = function(Result){MqttToMsSqlFirstPage.prototype._SaveMqttToMsSqlSetting_(Result);};
  //按鈕
  this.EditButton = function(that){MqttToMsSqlFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){MqttToMsSqlFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){MqttToMsSqlFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){MqttToMsSqlFirstPage.prototype._ChangeCheckbox_(that);};
   //改變Apply Button狀態
  var ShowTableApplyButton = function(){MqttToMsSqlFirstPage.prototype._ShowTableApplyButton_(index, Result);};
  var ChangeDatabaseNameApplyButton = function(){MqttToMsSqlFirstPage.prototype._ChangeDatabaseNameApplyButton_(that);};
}










function MqttToMsSqlSecondPage()
{
  var LoadDatabaseName = function(index, DatabaseIndexInformation){MqttToMsSqlSecondPage.prototype._LoadDatabaseName_(index, DatabaseIndexInformation);};
  //變數表
  var VariableTableAddNewRow       = function(number){MqttToMsSqlSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){MqttToMsSqlSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){MqttToMsSqlSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return MqttToMsSqlSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){MqttToMsSqlSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){MqttToMsSqlSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){MqttToMsSqlSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){MqttToMsSqlSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){MqttToMsSqlSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyMqttToMsSqlVariableObject= function(that){MqttToMsSqlSecondPage.prototype._ModifyMqttToMsSqlVariableObject_(that);};
  var SetFormInitialValue = function(number){MqttToMsSqlSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){MqttToMsSqlSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return MqttToMsSqlSecondPage.prototype._GetReadWriteType_(string);};
  //判斷
  var AllDataIsCorrect = function(){MqttToMsSqlSecondPage.prototype._AllDataIsCorrect_();};
}